echo ; /*

lc -L small1.c
QUIT
  
   The above code will compile and link this source if you EXECUTE small.c
         
   this code is to try to see how small ( executable ) this code can be 
   The code will open a window and then print 'lets get small' in the 
   window */

#include "exec/types.h"

#include "intuition/intuition.h"
#include "intuition/intuitionbase.h"

struct  IntuitionBase *IntuitionBase;

static struct IntuiText text = {3,4,JAM1, 0, 0,NULL,"lets get small", NULL};
static struct NewWindow NW = {50,50,200,40,-1,-1,CLOSEWINDOW,
                              WINDOWCLOSE | WINDOWDRAG,
                              NULL,NULL,"small",NULL,NULL,200,40,200,40,
                              WBENCHSCREEN};
static struct Window *W;

void main ()

{
   IntuitionBase = (struct IntuitionBase *) 
                   OpenLibrary("intuition.library",0);

   if (IntuitionBase == NULL )
      {
      /* the intuition library was not opened so we exit */
      exit (FALSE);
      }

   W = ( struct Window * ) OpenWindow ( &NW );    

   if ( W == NULL )
      {
      /* the window wasnt opend */
      exit (FALSE);
      }

   PrintIText ( W->RPort, &text, 5,10 );

   Wait ( 1<<W->UserPort->mp_SigBit );

   CloseWindow ( W );

   CloseLibrary ( IntuitionBase );

   exit(TRUE);

}

