echo ; /*

lc  -v -b  small5.c
BLINK from lib:c.o, small5.o LIB lib:lc.lib, lib:amiga.lib SC SD ND MAP small5.map

QUIT
  
   The above code will compile and link this source if you EXECUTE small.c
   
   The difference here is that we have add the options SC SD and ND to the
   Link string.  SC is the option SMALLCODE, SD is the option SMALLDATA, 
   and ND is the option NODEBUG.  See your Lattice manual for details of
   what each one does.      
   */

#include "exec/types.h"

#include "intuition/intuition.h"
#include "intuition/intuitionbase.h"

VOID MemCleanup (){}

struct  IntuitionBase *IntuitionBase;

static struct IntuiText text = {3,4,JAM1, 0, 0,NULL,"lets get small", NULL};
static struct NewWindow NW = {50,50,200,40,-1,-1,CLOSEWINDOW,
                              WINDOWCLOSE | WINDOWDRAG,
                              NULL,NULL,"small",NULL,NULL,200,40,200,40,
                              WBENCHSCREEN};
static struct Window *W;

void _main ()

{
   IntuitionBase = (struct IntuitionBase *) 
                   OpenLibrary("intuition.library",0);

   if (IntuitionBase == NULL )
      {
      /* the intuition library was not opened so we exit */
      _exit (FALSE);
      }

   W = ( struct Window * ) OpenWindow ( &NW );    

   if ( W == NULL )
      {
      /* the window wasnt opend */
      _exit (FALSE);
      }

   PrintIText ( W->RPort, &text, 5,10 );

   Wait ( 1<<W->UserPort->mp_SigBit );

   CloseWindow ( W );

   CloseLibrary ( IntuitionBase );

   _exit(TRUE);

}

