echo ; /*

 lc -cwusf -v -sc=__MERGED -M -y small6.c
 blink small6.o LIB lib:amiga.lib DEFINE _stdout=_echo SD SC ND MAP small6.map
 quit

  
   The above code will compile and link this source if you EXECUTE small.c

   This example does away with all other code but what you see in this
   module.  It is based on techniques used by Gordon Keener 
   and John Toebes in programs distributed with the Lattice 4.0 compiler.           
   
   */

#include "exec/types.h"
#include "exec/exec.h" 

#include "intuition/intuition.h"
#include "intuition/intuitionbase.h"

#include "proto/intuition.h"
#include "proto/exec.h"

struct  IntuitionBase *IntuitionBase;

static struct IntuiText text = {3,4,JAM1, 0, 0,NULL,"lets get small", NULL};
static struct NewWindow NW = {50,50,200,40,-1,-1,CLOSEWINDOW,
                              WINDOWCLOSE | WINDOWDRAG,
                              NULL,NULL,"small",NULL,NULL,200,40,200,40,
                              WBENCHSCREEN};
static struct Window *W;

void small6 ()

{

   IntuitionBase = (struct IntuitionBase *)OpenLibrary("intuition.library",0);

   if (IntuitionBase != NULL )
      {

      W = ( struct Window * ) OpenWindow ( &NW );    

      if ( W != NULL )
         {
         PrintIText ( W->RPort, &text, 5,10 );
         Wait ( 1<<W->UserPort->mp_SigBit );
         CloseWindow ( W );
         }

      CloseLibrary ( ( APTR )IntuitionBase );
      }
}
